Actualizar a la última version de KDE (4.9) en openSUSE 12.2

La coincidencia de fechas en el lanzamiento de openSUSE 12.2 con el de KDE 4.9, impidieron que esta versión de KDE viniera por defecto y en su lugar se optó por la 4.8. Una versión totalmente optimizada, elegante y muy muy rápida (offtopic:si os interesa el tema de la velocidad os recomiendo echar un vistazo a estas comparativas de entornos sobre Ubuntu en Phoronix, pobre Unity por cierto…), pero muchos linuxeros siempre queremos más y si es posible estar a la última, y en estos momentos eso es KDE 4.9.

Si os apetece actualizar de KDE 4.8 a KDE 4.9 sólo tenéis que desactivar cualquier tipo de repositorio KDE y extras de KDE (como  KDE:UpdatedApps) que hayáis incluido, desde YaST, y a continuación añadir mediante zypper los siguientes repositorios:

zypper ar -f http://download.opensuse.org/repositories/KDE:/Release:/49/openSUSE_12.2/ KDE49-Core
zypper ar -f http://download.opensuse.org/repositories/KDE:/Extra/KDE_Release_49_openSUSE_12.2/ KDE49-Extra

Ahora solo nos resta actualizar el sistema y rezar, rezar muy fuerte :-) (es broma sabéis que este tipo de actualizaciones no suelen dar problemas graves, aunque tampoco las recomiendo si estáis empezando en linux, sobre todo teniendo en cuenta que la versión 4.8 en openSUSE funciona de maravilla)

zypper dup --from KDE49-Core && KDE49-Extra

Como lo de rezar nunca funciona, es posible que algún paquete aislado (a mi me paso con Openshot), nos de error de dependencias y la opción de desinstalarlo, le damos a aceptar y en la proxima actualización lo podremos instalar desde YAST sin problemas.

Fuente | Guía del Camaleón

7 thoughts on “Actualizar a la última version de KDE (4.9) en openSUSE 12.2”

  1. Pingback: Actualizar a la última version de KDE (4.9) en openSUSE 12.2 | El Blog de Rigo
  2. Trackback: Actualizar a la última version de KDE (4.9) en openSUSE 12.2 | El Blog de Rigo
  3. elpana says:

    hola
    probe habia un error en ultimo argumento, zypper dup –from KDE49-Core && KDE49-Extra lo escribi como dice en zypper help

    el guion medio de from son — asi muy bueno el post muchas gracias

    arriba linuxeros elpana

  4. filipo says:

    Hola, sólo un detalle: después de agregar los repos, al momento de actualizar copié y pegué esto:

    zypper dup –from KDE49-Core && KDE49-Extra

    pero no funcionó. Leyendo la información que arrojó Konsole, reemplacé “-from” por “–from” quedando así:

    zypper dup –from KDE49-Core && KDE49-Extra

    De esta forma funcionó sin problemas.

    Saludos.

    1. tannhausser says:

      Gracias ahora lo corrijo! Es un problema de wordpress que cuando pones 2 guiones medios te los junta en uno solo.
      Saludos

      1. filipo says:

        Me lo imaginaba, saludos.

  5. Ghermain says:

    Gracias por la información.
    Cómo se puede hacer en LM13 KDE 64 porque no me funciona con esto para actualizar a la 4.9.1

    sudo add-apt-repository ppa:kubuntu-ppa/backports
    sudo apt-get update
    sudo apt-get dist-upgrade

    No actualiza.

  6. Pingback: Prueba KDE 4.10 RC2 en la futura openSUSE 12.3 | La mirada del replicante
  7. Trackback: Prueba KDE 4.10 RC2 en la futura openSUSE 12.3 | La mirada del replicante

Deja un comentario

A %d blogueros les gusta esto: